"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var CheckboxComponent = (function () {
    function CheckboxComponent() {
        this.checkboxChangeEvent = new core_1.EventEmitter();
    }
    Object.defineProperty(CheckboxComponent.prototype, "checkModel", {
        get: function () {
            return this._checkModel;
        },
        set: function (v) {
            this._checkModel = v;
        },
        enumerable: true,
        configurable: true
    });
    CheckboxComponent.prototype.ngOnInit = function () {
    };
    CheckboxComponent.prototype.labelClickEvent = function (ev) {
        this.labelInput.nativeElement.click();
        this.checkboxChangeEvent.emit(this.checkModel);
    };
    CheckboxComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'dc-checkbox',
                    template: "\n    <div class=\"dc-checkbox\" *ngIf=\"checkModel\" [style.width]=\"options?.width\">\n      <input #labelInput class=\"dc-checkbox-input\" [disabled]=\"options?.disabled\" type=\"checkbox\" [(ngModel)]=\"checkModel[options?.key || 'checked']\"/>\n      <label (click)=\"labelClickEvent($event)\" class=\"dc-checkbox-label\"></label>\n      <label (click)=\"labelClickEvent($event)\" *ngIf=\"options?.text\" class=\"dc-checkbox-text\" [title]=\"options?.text\">{{options?.text}}</label>\n    </div>\n  ",
                    styles: ["\n    .dc-checkbox {\n      position: relative;\n      display: inline-block;\n      height: 25px;\n      line-height: 25px;\n      padding: 0 10px;\n      overflow: hidden;\n      text-overflow: ellipsis;\n      white-space: nowrap;\n    }\n\n    .dc-checkbox-input {\n      visibility: hidden;\n      position: absolute;\n      width: 1px !important;\n      height: 1px !important;\n      overflow: hidden;\n    }\n\n    .dc-checkbox-label {\n      display: inline-block;\n      position: relative;\n      cursor: pointer;\n      width: 16px;\n      height: 16px;\n      background: #fff;\n      border: 1px solid #c8c8c8;\n      -moz-border-radius: 3px; /* Gecko browsers */\n      -webkit-border-radius: 3px; /* Webkit browsers */\n      border-radius: 3px; /* W3C syntax */\n      vertical-align: middle;\n      margin-top: -3px;\n      margin-bottom: 0;\n    }\n\n    .dc-checkbox-label:not(disabled):hover {\n      background: #0081CC;\n    }\n    .dc-checkbox-input:disabled:hover + label:hover{\n      background: transparent;\n    }\n\n    .dc-checkbox-label:after {\n      opacity: 0;\n      content: '';\n      position: absolute;\n      top: 3px;\n      left: 3px;\n      width: 9px;\n      height: 5px;\n      background: transparent;\n      border: 2px solid #fff;\n      border-top: none;\n      border-right: none;\n      -webkit-transform: rotate(-45deg);\n      -moz-transform: rotate(-45deg);\n      -o-transform: rotate(-45deg);\n      -ms-transform: rotate(-45deg);\n      transform: rotate(-45deg);\n    }\n\n    .dc-checkbox-label:hover:after {\n      opacity: 0.6;\n    }\n\n    .dc-checkbox-input:disabled,\n    .dc-checkbox-input:disabled + label {\n      cursor: not-allowed;\n      opacity: 0.7;\n    }\n\n    .dc-checkbox-input:disabled {\n      background: #ffffff;\n    }\n\n    .dc-checkbox-input:checked + label {\n      background: #0081CC;\n    }\n\n    .dc-checkbox-input:checked + label:after {\n      opacity: 1.0;\n    }\n\n    .dc-checkbox-text {\n      display: inline;\n      cursor: pointer;\n      padding: 3px 5px;\n    }\n    .dc-checkbox-text:hover {\n      background-color: #0081cc;\n      color: #fff;\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    CheckboxComponent.ctorParameters = function () { return []; };
    CheckboxComponent.propDecorators = {
        "checkText": [{ type: core_1.Input },],
        "options": [{ type: core_1.Input },],
        "checkModel": [{ type: core_1.Input },],
        "labelInput": [{ type: core_1.ViewChild, args: ['labelInput',] },],
        "checkboxChangeEvent": [{ type: core_1.Output },],
    };
    return CheckboxComponent;
}());
exports.CheckboxComponent = CheckboxComponent;
//# sourceMappingURL=checkbox.component.js.map